> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dualship.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Get project settings

> Get settings for a project including logging, rate limiting, CORS, and log filters



## OpenAPI

````yaml openapi.json get /api/v1/projects/{id}/settings
openapi: 3.0.0
info:
  description: Dualship backend API for workflow automation and API management.
  title: Dualship API
  termsOfService: https://dualship.run/terms
  contact:
    name: Dualship Support
    url: https://dualship.run/support
    email: support@dualship.run
  version: '1.0'
servers:
  - url: https://api.dualship.run
security: []
paths:
  /api/v1/projects/{id}/settings:
    get:
      tags:
        - projects
      summary: Get project settings
      description: >-
        Get settings for a project including logging, rate limiting, CORS, and
        log filters
      parameters:
        - description: Workspace ID
          name: X-Workspace-Id
          in: header
          required: true
          schema:
            type: string
        - description: Project ID
          name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Project settings
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_dualship_dualship-be_internal_api_rules.ProjectSettingsResponse
        '400':
          description: Invalid project ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.BadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.UnauthorizedError'
        '404':
          description: Project not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.NotFoundError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.InternalServerError'
      security:
        - BearerAuth: []
components:
  schemas:
    github_com_dualship_dualship-be_internal_api_rules.ProjectSettingsResponse:
      type: object
      properties:
        cors:
          $ref: >-
            #/components/schemas/github_com_dualship_dualship-be_internal_api_rules.CORSSettingsResponse
        log_filters:
          $ref: >-
            #/components/schemas/github_com_dualship_dualship-be_internal_api_rules.LogFilterSettingsResponse
        logging:
          $ref: >-
            #/components/schemas/github_com_dualship_dualship-be_internal_api_rules.LoggingSettingsResponse
        rate_limit:
          $ref: >-
            #/components/schemas/github_com_dualship_dualship-be_internal_api_rules.RateLimitSettingsResponse
    internal_api_handler.BadRequestError:
      description: Bad request error
      type: object
      properties:
        code:
          type: string
          example: BAD_REQUEST
        error:
          type: string
          example: invalid request parameters
    internal_api_handler.UnauthorizedError:
      description: Unauthorized error
      type: object
      properties:
        code:
          type: string
          example: UNAUTHORIZED
        error:
          type: string
          example: unauthorized
    internal_api_handler.NotFoundError:
      description: Not found error
      type: object
      properties:
        code:
          type: string
          example: NOT_FOUND
        error:
          type: string
          example: resource not found
    internal_api_handler.InternalServerError:
      description: Internal server error
      type: object
      properties:
        code:
          type: string
          example: INTERNAL_ERROR
        error:
          type: string
          example: internal server error
    github_com_dualship_dualship-be_internal_api_rules.CORSSettingsResponse:
      type: object
      properties:
        allow_credentials:
          type: boolean
          example: true
        allowed_headers:
          type: array
          items:
            type: string
        allowed_methods:
          type: array
          items:
            type: string
        allowed_origins:
          type: array
          items:
            type: string
        enabled:
          type: boolean
          example: true
        max_age:
          type: integer
          example: 86400
    github_com_dualship_dualship-be_internal_api_rules.LogFilterSettingsResponse:
      type: object
      properties:
        masked_keywords:
          type: array
          items:
            type: string
    github_com_dualship_dualship-be_internal_api_rules.LoggingSettingsResponse:
      type: object
      properties:
        enabled:
          type: boolean
          example: true
    github_com_dualship_dualship-be_internal_api_rules.RateLimitSettingsResponse:
      type: object
      properties:
        burst_size:
          type: integer
          example: 100
        enabled:
          type: boolean
          example: true
        requests_per_min:
          type: integer
          example: 1000
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Bearer token authentication

````